# Rolling-restart all pods of a deployment Source: https://docs.orchard.hackclub.com/api/operations/deployments_restart/ `POST /apiv1/deployments/{id}/restart` Operation ID: `deployments_restart` Auth: authenticated (scope: deploy) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "deployment": { "type": "string" }, "namespace": { "type": "string" }, "restartedAt": { "type": "string" }, "success": { "type": "boolean" } }, "required": [ "success", "deployment", "namespace", "restartedAt" ], "type": "object" } ```